Summary:	MySQL - a very fast and reliable SQL database engine
Name:		mysql
Version:	3.22.19b
Release:	2
Group:		Applications/Databases
Copyright:	MySQL FREE PUBLIC LICENSE
Url:		http://www.tcx.se/
Packager:	Hao Li <hli@wag.caltech.edu>
Source0:	http://www.tcx.se/Downloads/MySQL-3.22/mysql-%{version}.tar.gz
Source1:	mysql.logrotate
Source2:	mysql.init
BuildRoot:	/var/tmp/%{name}-root

%description
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. SQL is the most popular database language
in the world. MySQL is a client/server implementation that consists of
a server daemon mysqld and many different client programs/libraries.


%package devel
Summary:	MySQL - Development header files and libraries
Group:		Applications/Databases
Requires:	mysql = %{version}

%description devel
MySQL development header files and libraries necessary to develop 
client applications.


%package bench
Summary:	MySQL - Benchmarks
Group:		Applications/Databases
Requires:	mysql = %{version}

%description bench
MySQL benchmark scripts and data.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
	./configure \
	--prefix=/usr --libexecdir=/usr/sbin --sysconfdir=/etc \
	--localstatedir=/var/lib/mysql \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--without-debug --enable-assembler --disable-shared \
	--without-readline --with-pthread \
	--with-mysqld-user=mysql
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT benchdir=/usr/share/sql-bench
gzip -9f $RPM_BUILD_ROOT/usr/info/mysql.info

# support-files/ gives crappy SOURCE1 and SOURCE2 so I roll my own
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/mysql
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql
install -m644 support-files/my-example.cnf $RPM_BUILD_ROOT/etc/my.cnf

mkdir -p $RPM_BUILD_ROOT/var/lib/mysql/{mysql,test}

( cd Docs; make manual.{dvi,ps}; gzip -9f manual.ps; rm -f Img/*.{eps,txt} )


%pre
( egrep -qs "^mysql:" /etc/passwd && egrep -qs "^mysql:" /etc/group ) || \
( echo "User and group mysql must be created first!" && exit 1 )

%post
/sbin/chkconfig --add mysql
/sbin/install-info /usr/info/mysql.info.gz /usr/info/dir
# Initiate databases
mysql_install_db -IN-RPM; chown -R mysql.mysql /var/lib/mysql

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del mysql
    /sbin/install-info --delete /usr/info/mysql.info.gz /usr/info/dir
fi

%postun 
echo "User and group mysql and /var/lib/mysql need to be manually removed"


%files
%defattr(-,root,root)
%doc INSTALL-SOURCE INSTALL-SOURCE-GENERIC README PUBLIC 
%doc Docs/*.dvi Docs/*.ps.gz Docs/*.html Docs/Img Docs/*.txt
%config /etc/logrotate.d/mysql
%config /etc/rc.d/init.d/mysql
%config /etc/my.cnf
%dir %attr(755,mysql,mysql) /var/lib/mysql
%dir %attr(755,mysql,mysql) /var/lib/mysql/mysql
%dir %attr(755,mysql,mysql) /var/lib/mysql/test
/usr/bin/*
/usr/info/*
/usr/man/man*/*
/usr/sbin/*
/usr/share/mysql

%files devel
%defattr(-,root,root)
/usr/include/mysql
/usr/lib/mysql

%files bench
%defattr(-,root,root)
/usr/share/sql-bench


%clean
rm -rf $RPM_BUILD_ROOT
